summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2018-01-23 01:33:57 -0600
committerMatthew Thode <prometheanfire@gentoo.org>2018-01-23 01:33:57 -0600
commitd052cba5b9621faef0bedab3f5f685084349d16b (patch)
tree57320a70a79e7c782a960f75af06ed27d18e7396
parentdev-ruby/compass: add ruby24 (diff)
downloadgentoo-d052cba5b9621faef0bedab3f5f685084349d16b.tar.gz
gentoo-d052cba5b9621faef0bedab3f5f685084349d16b.tar.bz2
gentoo-d052cba5b9621faef0bedab3f5f685084349d16b.zip
www-apps/icingaweb2: 2.5.1 bup
Package-Manager: Portage-2.3.19, Repoman-2.3.6
-rw-r--r--www-apps/icingaweb2/Manifest1
-rw-r--r--www-apps/icingaweb2/icingaweb2-2.5.1.ebuild79
2 files changed, 80 insertions, 0 deletions
diff --git a/www-apps/icingaweb2/Manifest b/www-apps/icingaweb2/Manifest
index 84448170a1a..837570c4179 100644
--- a/www-apps/icingaweb2/Manifest
+++ b/www-apps/icingaweb2/Manifest
@@ -1,2 +1,3 @@
DIST icingaweb2-2.4.2.tar.gz 7180122 BLAKE2B d3018ab2bbb9cbe501c638208d7546640b83775ef86e340b61c9a83bc8f250060c34a7dae74cc983252ff05747d951107ff5c7857aaa44dc387ce513843c503f SHA512 2a6f80561b59fde1b7ca72b8a120f93685a4741e7af036a90cdd5a1371f8e6d6caa25161f136b379255032b16b21914325a26f078121743d1299e96e7685ef53
DIST icingaweb2-2.5.0.tar.gz 8032968 BLAKE2B f0fab047da90ff514f715a8ddbf51d97beb1cd052513a523c63fbb97a424ecee8ff7b2c63a6e432cda3d70bdb1283641702d3ae1ff4146d084b312009ccdbe5e SHA512 9946c74033550accdc7077b3f77ce035931c72645871808ea488113d3545f8082460c1b8a4dffcb08f01d452fab54fd425e90e77cd006a7783b426132015498f
+DIST icingaweb2-2.5.1.tar.gz 8133540 BLAKE2B f5f9d2131f87160f7df5b34cae7e9b1036e14994f3b739607b26ba676e6cd56ad95ed5688c873df3232fc9782566b0bb5c2054aa04dd272b389a1eae8501af88 SHA512 8e76347f76a2b2889fb9a61c000ef7865f40b2ea261f59bfbf24bb8d0e4e7e2977ff283d31989f6892e371f4a9a4d4682a2cac3269070b2036cc37ea74af1b11
diff --git a/www-apps/icingaweb2/icingaweb2-2.5.1.ebuild b/www-apps/icingaweb2/icingaweb2-2.5.1.ebuild
new file mode 100644
index 00000000000..f3513d784a2
--- /dev/null
+++ b/www-apps/icingaweb2/icingaweb2-2.5.1.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit depend.apache eutils multilib user
+
+DESCRIPTION="Icinga Web 2 - Frontend for icinga2"
+HOMEPAGE="http://www.icinga.org/"
+SRC_URI="https://codeload.github.com/Icinga/${PN}/tar.gz/v${PV} -> ${P}.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="apache2 ldap mysql nginx pdf postgres"
+REQUIRED_USE="^^ ( apache2 nginx )"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND=">=net-analyzer/icinga2-2.1.1
+ dev-php/pecl-imagick
+ pdf? ( media-gfx/imagemagick[png] )
+ apache2? (
+ >=www-servers/apache-2.4.0
+ || (
+ dev-lang/php:5.6[apache2?,cli,gd,json,intl,ldap?,mysql?,nls,pdo,postgres?,sockets,ssl,xslt,xml]
+ dev-lang/php:7.0[apache2?,cli,gd,json,intl,ldap?,mysql?,nls,pdo,postgres?,sockets,ssl,xslt,xml]
+ dev-lang/php:7.1[apache2?,cli,gd,json,intl,ldap?,mysql?,nls,pdo,postgres?,sockets,ssl,xslt,xml]
+ )
+ )
+ nginx? (
+ >=www-servers/nginx-1.7.0:*
+ || (
+ dev-lang/php:5.6[apache2?,cli,fpm,gd,json,intl,ldap?,mysql?,nls,pdo,postgres?,sockets,ssl,xslt,xml]
+ dev-lang/php:7.0[apache2?,cli,fpm,gd,json,intl,ldap?,mysql?,nls,pdo,postgres?,sockets,ssl,xslt,xml]
+ dev-lang/php:7.1[apache2?,cli,fpm,gd,json,intl,ldap?,mysql?,nls,pdo,postgres?,sockets,ssl,xslt,xml]
+ )
+ )"
+RDEPEND="${DEPEND}"
+
+want_apache2
+
+pkg_setup() {
+ depend.apache_pkg_setup
+
+ enewgroup icingaweb2
+ enewgroup icingacmd
+ use nginx && usermod -a -G icingacmd,icingaweb2 nginx
+ use apache2 && usermod -a -G icingacmd,icingaweb2 apache
+}
+
+pkg_config() {
+ if [[ -d /etc/icingaweb2 ]] ; then
+ einfo "Updating existing installation ..."
+ else
+ einfo "Running first time setup ..."
+ einfo "Creating configuration directory ..."
+ /usr/share/${PN}/bin/icingacli setup config directory
+ einfo "Creating authentication token for web setup ..."
+ /usr/share/${PN}/bin/icingacli setup token create
+ if use apache2 ; then
+ einfo "The following might be useful for your Apache2 configuration:"
+ /usr/share/${PN}/bin/icingacli setup config webserver apache --document-root /usr/share/${PN}/public
+ fi
+ if use nginx ; then
+ einfo "The following might be useful for your NGinx configuration:"
+ /usr/share/${PN}/bin/icingacli setup config webserver nginx --document-root /usr/share/${PN}/public
+ fi
+ fi
+ einfo "All done."
+}
+
+src_install() {
+ insinto "/usr/share/${PN}"
+ doins -r "${S}"/*
+ fperms -R a+rX "/usr/share/${PN}/public/"
+ fperms u+x,g+x "/usr/share/${PN}/bin/icingacli"
+}
+
+pkg_postinst() {
+ einfo "Run 'emerge --config =${CATEGORY}/${PF}' to finish setup."
+}